import { useState } from "react"
import Taro from "@tarojs/taro"

import { login } from "../services/dogAPI"


export default () => {
  const [dogs, setDogs] = useState([])
  const [cards, setCards] = useState([])
  const [person, setPerson] = useState()
  const [sessionKey, setSessionKey] = useState()

  const logins = (params) => {
    console.log('login');

    login(params).then((res) => {
      const { person: taPerson, sessionKey: skey, user: taUser, pets: taPets, cards } = res;
      // taPerson.phone = null
      setPerson(taPerson);
      setDogs(taPets);
      setCards(cards);
      setSessionKey(skey);
      console.log(taPets, dogs);

    })
  }

  return {
    dogs,
    setDogs,

    cards,
    setCards,

    person,
    setPerson,

    sessionKey,
    setSessionKey,


    logins,
  }
}