import { View, ScrollView, Image } from '@tarojs/components'
import Taro, { useDidShow } from '@tarojs/taro';
import { useState } from 'react';
import { getDogCardList } from '../../services/dogAPI';
import './style.less'

export default (props) => {
  const [dogCardList, setDogCardList] = useState([])

  useDidShow(() => {
    getDogCardList().then((e) => {
      setDogCardList(e.records)

    })
  })

  const goDogList = () => {
    console.log('e',);
  }
  const goLicenseInfo = (id) => {
    Taro.navigateTo({
      url: `/pages/dogCardDetail/index?id=${id}`

    })
  }

  const widgetView = (value) => {
    return (
      <View className='user-box-DogListCard' onClick={() => { goLicenseInfo(value.petId) }}>
        <View className='user-box-DogListCard-DogImage'>
          {/* <ViewIcon icon='morentouxiang' size={50} color='#FBD804' /> */}
          <Image src={value.petImg1} />
        </View>

        <View className='user-box-DogListCard-DogImage'>
          <View>姓名：{value.petName}</View>
          <View>证件号：{value.cardNo}</View>
        </View>
        <View className='user-box-DogListCard-right' >
          <View style={{ paddingRight: '5px' }}>
            {/* <ViewIcon icon='bianji' size={19} color='#2f2f2f' /> */}
          </View>
          &gt;
        </View>
      </View>
    )
  }

  return (
    <ScrollView scrollY style={{ height: '100vh' }}>
      {
        dogCardList.map((item, index) => {
          return (
            widgetView(item)
          )
        })
      }
    </ScrollView>
  )
}

